Skip to main content
GET
/
v2
/
transfers
Get token transfers
curl --request GET \
  --url https://api.range.org/v2/transfers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.range.org/v2/transfers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.range.org/v2/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "9359/AX/2352",
      "time": "2024-05-08T13:05:57.779Z",
      "status": "SUCCEEDED",
      "type": "cctp",
      "sender": {
        "address": "AuZrspySopxfZUiXY6YxDyfS211KvXLe197kj3M2cLpq",
        "network": "solana"
      },
      "receiver": {
        "address": "noble14h2xp3fcfsgwmr24wrurfpv5t0chaal238k9wq",
        "network": "noble-1"
      },
      "sender_tx_hash": "76b9922b6c8968d328e56930b4bbe26665d2ed12f2bdff45b2e9a43b09f5ab9c",
      "receiver_tx_hash": "e607dba4c1e138dabb1d534ba0e14645786ca892907563c388d7de7f65ba7bb3",
      "note": "<string>",
      "category": "<string>"
    }
  ],
  "meta": {
    "next_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "previous_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "first_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "last_page_cursor": "eyJpZCI6IjkxeFFlV3Z...",
    "total_count": 100,
    "page_number": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Query Parameters

explorer
string
Example:

"solana"

cursor
string
Example:

"n0192376853"

sort
enum<string>
Available options:
usd
Example:

"usd"

size
number
default:25
Required range: 1 <= x <= 100
Example:

10

tx_hash
string
Example:

"0xbe667b06979c46e186cebb4ad2c6fb6af8fb034e4723518416b2e7d3aeeb4753"

tx_hashes
string[]

Comma-separated list of transaction hashes to filter by

Example:

"0xbe667b06979c46e186cebb4ad2c6fb6af8fb034e4723518416b2e7d3aeeb4753,0xabc123"

source_networks
string[]
Example:

"eth,solana"

destination_networks
string[]
Example:

"eth,solana"

network
string

Only find transfers on one specific network

Example:

"cosmoshub-4"

address
string

Only find transfers on one specific address

Example:

"C6RarBbo5zxMzFiVhYAvbGUWiJGuVsSczawdXdGzeEoj"

addresses
string

Only find transfers involving this specific address as sender and reciever

Example:

"C6RarBbo5zxMzFiVhYAvbGUWiJGuVsSczawdXdGzeEoj,C6RarBbo5zxMzFiVhYAvbGUWiJGuVsSczawdXdGzeEoj"

search_string
string
Example:

"e.g. partial address"

status
enum<string>[]

Current status(es) of the transfer, comma-separated (e.g. 'SUCCEEDED,FAILED')

Available options:
SUCCEEDED,
PENDING,
ERROR_ON_DESTINATION,
TIMEOUT
Example:

"SUCCEEDED,FAILED"

bridges
string[]

Bridges or networks used for the transfer

Example:

"ibc,cctp"

token_symbols
string[]

Token symbols involved in the transfer

Example:

"USDC,DAI"

group_ids
string[]

Limit workspace address entries to those belonging to these group IDs (comma-separated UUIDs)

Example:

"uuid1,uuid2"

min_usd
number

Minimum USD amount (decimal). Converted to number.

Example:

"100.50"

max_usd
number

Maximum USD amount (decimal). Converted to number.

Example:

"1000"

categories
string[]

Comma-separated category names to filter by (workspace-specific enrichment). Requires workspace authentication.

Example:

"defi,exchange"

start_time
string<date-time>

Start time (ISO 8601). Converted to Date.

Example:

"2025-01-01T00:00:00Z"

end_time
string<date-time>

End time (ISO 8601). Converted to Date.

Example:

"2025-12-31T23:59:59Z"

internal_transfer_ids
string[]

Comma-separated category names. Only returns transfers that the authenticated workspace has labelled with one of these categories.

Example:

"Revenue,Payroll"

only_workspace
boolean
default:false

If true, only returns transfers that the authenticated workspace has labelled with a category. If false, returns all transfers regardless of whether they have a category.

Example:

"true"

scope
enum<string>
Available options:
INTERCHAIN,
INTRACHAIN,
ALL

Response

200 - application/json

List of token transfers that match the specified search term.

items
object[]
required
meta
object
required
Last modified on July 8, 2026